package com.tomer.dbz.widget;

import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.BatteryManager;

public class Resources {
    public static final int[][] pics = {
            {
                    R.drawable.goku,
                    R.drawable.goku_kaikan,
                    R.drawable.goku_ssj,
                    R.drawable.goku_ssj2,
                    R.drawable.goku_ssj3,
                    R.drawable.goku_ssjg,
                    R.drawable.goku_ssjgss,
                    R.drawable.goku_ssgss_kaiken,
                    R.drawable.goku_limit_breaker
            },
            {
                    R.drawable.vegeta,
                    R.drawable.vegeta_ssj,
                    R.drawable.vegeta_super,
                    R.drawable.vegeta_majin,
                    R.drawable.vegeta_ssj2,
                    R.drawable.vegeta_ssjgss
            },
            {
                    R.drawable.kid_gohan,
                    R.drawable.kid_gohan_long,
                    R.drawable.kid_gohan_namek,
                    R.drawable.kid_gohan_ssj
            },
            {
                    R.drawable.teen_gohan,
                    R.drawable.teen_gohan_ssj,
                    R.drawable.teen_gohan_ssj2
            },
            {
                    R.drawable.adult_gohan,
                    R.drawable.adult_gohan_ssj,
                    R.drawable.adult_gohan_ssj2,
                    R.drawable.adult_gohan_mystic
            },
            {
                    R.drawable.trunks,
                    R.drawable.trunks_ssj,
                    R.drawable.trunks_super
            },
            {
                    R.drawable.trunks_dbs,
                    R.drawable.trunks_dbs_ss,
                    R.drawable.trunks_ss2,
                    R.drawable.trunks_ssr
            },
            {
                    R.drawable.goten,
                    R.drawable.goten_ssj,
                    R.drawable.gotenks,
                    R.drawable.gotenks_ssj,
                    R.drawable.gotenks_ssj3
            },
            {
                    R.drawable.trunks_kid,
                    R.drawable.trunks_kid_ssj,
                    R.drawable.gotenks,
                    R.drawable.gotenks_ssj,
                    R.drawable.gotenks_ssj3
            },

            {
                    R.drawable.bardock_injured,
                    R.drawable.bardock,
                    R.drawable.bardock_ssj
            },
            {
                    R.drawable.vegeto,
                    R.drawable.vegeto_ssj,
                    R.drawable.vegeto_ssj_mastered,
                    R.drawable.vegeto_ssblue
            },
            {
                    R.drawable.roshi_base,
                    R.drawable.roshi,
                    R.drawable.roshi_perfect
            },
            {
                    R.drawable.broly,
                    R.drawable.broly_ssj,
                    R.drawable.broly_lssj
            },
            {
                    R.drawable.gogeta_ssj
            },
            {
                    R.drawable.cell,
                    R.drawable.cell_second,
                    R.drawable.cell_perfect,
                    R.drawable.cell_super_perfect
            },
            {
                    R.drawable.frieza,
                    R.drawable.frieza_second,
                    R.drawable.frieza_third,
                    R.drawable.frieza_perfect,
                    R.drawable.frieza_full_power,
                    R.drawable.frieza_gold
            },
            {
                    R.drawable.buu_fat,
                    R.drawable.buu_evil,
                    R.drawable.buu_super,
                    R.drawable.buu_gotenks,
                    R.drawable.buu_gohan,
                    R.drawable.buu_kid
            },
            {
                    R.drawable.cabba,
                    R.drawable.cabba_ss
            },
            {
                    R.drawable.caulifla,
                    R.drawable.caulifla_ss,
                    R.drawable.caulifla_ss2
            },
            {
                    R.drawable.zamasu,
                    R.drawable.zamas_fused,
                    R.drawable.zamas_fused_purple
            },
            {
                    R.drawable.black,
                    R.drawable.black_rose
            }
    };

    public static final int[][] gt_pics = {
            {
                    R.drawable.goku,
                    R.drawable.goku_kaikan,
                    R.drawable.goku_ssj,
                    R.drawable.goku_ssj2,
                    R.drawable.goku_ssj3,
                    R.drawable.goku_ssj4
            },
            {
                    R.drawable.vegeta,
                    R.drawable.vegeta_ssj,
                    R.drawable.vegeta_super,
                    R.drawable.vegeta_majin,
                    R.drawable.vegeta_ssj2,
                    R.drawable.vegeta_ssj4
            },
            {
                    R.drawable.kid_gohan,
                    R.drawable.kid_gohan_long,
                    R.drawable.kid_gohan_namek,
                    R.drawable.kid_gohan_ssj
            },
            {
                    R.drawable.teen_gohan,
                    R.drawable.teen_gohan_ssj,
                    R.drawable.teen_gohan_ssj2
            },
            {
                    R.drawable.adult_gohan,
                    R.drawable.adult_gohan_ssj,
                    R.drawable.adult_gohan_ssj2,
                    R.drawable.adult_gohan_mystic
            },
            {
                    R.drawable.trunks,
                    R.drawable.trunks_ssj,
                    R.drawable.trunks_super
            },
            {
                    R.drawable.trunks_dbs,
                    R.drawable.trunks_dbs_ss,
                    R.drawable.trunks_ss2,
                    R.drawable.trunks_ssr
            },
            {
                    R.drawable.goten,
                    R.drawable.goten_ssj,
                    R.drawable.gotenks,
                    R.drawable.gotenks_ssj,
                    R.drawable.gotenks_ssj3
            },
            {
                    R.drawable.trunks_kid,
                    R.drawable.trunks_kid_ssj,
                    R.drawable.gotenks,
                    R.drawable.gotenks_ssj,
                    R.drawable.gotenks_ssj3
            },
            {
                    R.drawable.gogeta_ssj,
                    R.drawable.gogeta_ssj4
            },
            {
                    R.drawable.bardock_injured,
                    R.drawable.bardock,
                    R.drawable.bardock_ssj
            },
            {
                    R.drawable.vegeto,
                    R.drawable.vegeto_ssj,
                    R.drawable.vegeto_ssj_mastered
            },
            {
                    R.drawable.roshi_base,
                    R.drawable.roshi,
                    R.drawable.roshi_perfect
            },
            {
                    R.drawable.broly,
                    R.drawable.broly_ssj,
                    R.drawable.broly_lssj
            },
            {
                    R.drawable.cell,
                    R.drawable.cell_second,
                    R.drawable.cell_perfect,
                    R.drawable.cell_super_perfect
            },
            {
                    R.drawable.frieza,
                    R.drawable.frieza_second,
                    R.drawable.frieza_third,
                    R.drawable.frieza_perfect,
                    R.drawable.frieza_full_power,
                    R.drawable.frieza_gold
            },
            {
                    R.drawable.buu_fat,
                    R.drawable.buu_evil,
                    R.drawable.buu_super,
                    R.drawable.buu_gotenks,
                    R.drawable.buu_gohan,
                    R.drawable.buu_kid,
                    R.drawable.uub
            },
            {
                    R.drawable.cabba,
                    R.drawable.cabba_ss
            },
            {
                    R.drawable.caulifla,
                    R.drawable.caulifla_ss,
                    R.drawable.caulifla_ss2
            },
            {
                    R.drawable.kale,
                    R.drawable.kale_ss,
                    R.drawable.kale_ss_mastered
            },
            {
                    R.drawable.zamasu,
                    R.drawable.zamas_fused,
                    R.drawable.zamas_fused_purple
            },
            {
                    R.drawable.black,
                    R.drawable.black_rose,
                    R.drawable.zamas_fused,
                    R.drawable.zamas_fused_purple
            }
    };

    public static float getBatteryLevel(Context context) {
        Intent batteryIntent = context.registerReceiver(null, new IntentFilter(Intent.ACTION_BATTERY_CHANGED));
        assert batteryIntent != null;
        int level = batteryIntent.getIntExtra(BatteryManager.EXTRA_LEVEL, -1);
        int scale = batteryIntent.getIntExtra(BatteryManager.EXTRA_SCALE, -1);

        // Error checking that probably isn't needed but I added just in case.
        if (level == -1 || scale == -1) {
            return 50.0f;
        }

        return ((float) level / (float) scale) * 100.0f;
    }
}
